<div class="loginWarp">
  <div class="col-5">
    <div class="loginCont">
      <div class="logo">
        <img src="assets/image/logo.png" alt="logo ada" />
      </div>
      <h4 class="title grey">
        Sign Up to Project Ada.
      </h4>



      <form #driverForm="ngForm">
      <div class="loginPanel">

        <label class="grey">Email Address<span class="orng fogPwad" >*</span></label>
        <input type="email" name="email" ngModel #email="ngModel" [(ngModel)]="userCredentials.userName"
               pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <div *ngIf="email.touched">
        <p *ngIf="email.errors?.required" class="alert-msg">Email is a required field!</p>
        <p *ngIf="email.errors?.pattern" class="alert-msg">This is not a valid Email ID!!!</p>
        </div>
<br>
        <label class="grey">Password<span class="alert-msg" >*</span></label>
        <input type="password" name="password" ngModel #password="ngModel" [(ngModel)]="userCredentials.password"
               required class="pwd"/>
        <div *ngIf="password.touched">
          <p *ngIf="password.errors?.required" class="alert-msg">password is a required field!</p>
        </div>
        <br>
        <label class="grey">Repeat Password<span class="alert-msg">*</span></label>
        <input type="password" name="repeatPassword" ngModel #repeatPassword="ngModel" [(ngModel)]="userCredentials.repeatPassword" required class="pwd"/>
        <div *ngIf="repeatPassword.touched">
          <p *ngIf="repeatPassword.errors?.required" class="alert-msg">password is a required field!</p>
        </div>
      </div>
      <span class="alert-msg" > {{repeatPasswordError}}</span>


      <ul class="loginBtnCon">
        <li>

          <button class="btn btn-login btn-active"(click)="saveAssignmentDetails()" [disabled]="!driverForm.form.valid">Register</button>
        </li>
      </ul>
        </form>
    </div>
  </div>
  <div class="col-5">
    <div class="imgCont">
      <img src="assets/image/Group 16.png"  alt="img" />
    </div>
  </div>
</div>
